classification
Title: regrtest -j fails when tests write to stderr
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.2, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: regrtest -j sometimes fails if output gets written to stderr by a test
View: 7151
Assigned To: Nosy List: ezio.melotti, pitrou, r.david.murray
Priority: low Keywords: easy

Created on 2009-10-14 16:07 by r.david.murray, last changed 2009-10-18 17:07 by r.david.murray. This issue is now closed.

Messages (2)
msg94003 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2009-10-14 16:07
If a test writes to stderr, then the -j (multiprocessing) support in
regrtest fails to correctly extract the JSON data from the test output,
resulting in a JSON traceback followed by a failure of the worker
thread.  Antoine has suggested tagging the JSON result string with a
prefix and looking for that prefix, instead of the current method (which
assumes that the JSON result string is at the end of the output from the
test).
msg94215 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2009-10-18 17:07
Hmm.  Look like I forgot that I opened this issue, and opened a new one
with the patch.  Closing this one in favor of the one with the patch.
History
Date User Action Args
2009-10-18 17:07:52r.david.murraysetstatus: open -> closed
resolution: duplicate
messages: + msg94215

superseder: regrtest -j sometimes fails if output gets written to stderr by a test
stage: needs patch -> resolved
2009-10-17 01:11:54ezio.melottisetnosy: + ezio.melotti
2009-10-14 16:07:02r.david.murraycreate